<html>
<head>
<title>CARGAR FOTO</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK href="general.css" type=text/css rel=stylesheet>

<link rel="icon"  href="icono.ico" />
<script src="js/jquery.min.js"></script>
<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>


<body >

<style type="text/css">

/* Necesario para que se muestre bien los nuevos elementos agregados */

.file {

	display: block;

}

span a {

	margin-left: 1em;

}

</style>

<script type="text/javascript">

<!--



var numero = 0;



// Funciones comunes

c= function (tag) { // Crea un elemento

   return document.createElement(tag);

}

d = function (id) { // Retorna un elemento en base al id

   return document.getElementById(id);

}

e = function (evt) { // Retorna el evento

   return (!evt) ? event : evt;

}

f = function (evt) { // Retorna el objeto que genera el evento

   return evt.srcElement ?  evt.srcElement : evt.target;

}



addField = function () {

   container = d('files');

   

   span = c('SPAN');

   span.className = 'file';

   span.id = 'file' + (++numero);



   field = c('INPUT');   

   field.name = 'archivos[]';

   field.type = 'file';

   field.size = 70;

   

   a = c('A');

   a.name = span.id;

   a.href = '#';

   a.onclick = removeField;

   a.innerHTML = 'Quitar';



   span.appendChild(field);

   span.appendChild(a);

   container.appendChild(span);

}

removeField = function (evt) {

   lnk = f(e(evt));

   span = d(lnk.name);

   span.parentNode.removeChild(span);

}

//-->

</script>

</head>

<?php

@session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='index.php';";
   echo "</script>";
  }	

if(isset($_REQUEST["oculto"]))
{
	if(isset($_REQUEST["enviar"]))
		  {  
			cargar_archivos($vg_login);
		  }

}

?>
	 
<form action="" method="post" enctype="multipart/form-data" name="form1">
  <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="texto">
    <tr>
	<td width="7%">
	  <div align="left"><strong><a href="#" onClick="addField()" accesskey="1" class="btn btn-primary"  ><font color="#ffffff" size="3">Adjuntar 
          Archivo(s)</font></a></strong></div>
     </td>
    </tr>
	<tr > 
      <td> <div id="files"><font color="#000066"></font></div></td>
    </tr>
    <tr> 
      <td> <div align="center"> 
        <input name="enviar" type="submit" id="enviar" value="Cargar Foto" onClick="submit();" class="btn btn-primary">
        <input name='cerrar' type='hidden' id='cerrar' value='Cerrar' class="btn btn-primary"  onClick='window.close();'>
          <input name="oculto" type="hidden" id="oculto">
          <input name="oquitar" type="hidden" id="oquitar">
          
      </div>
    
   
<div class='alert alert-warning'>
		   <strong>Alert!</strong> SOLO IMAGENES FORMATO JPG, PNG O GIF TAMA&Ntilde;O MAXIMO DE 1 MB
	 </div>    
     </td>

    </tr>
  </table>

 <?php
 
  include "conexion.php";
   $sql_contar =mysqli_query($conexion,"select count(*) as contar from fotos
						 			 where login='".$vg_login."'");
   while($datos= mysqli_fetch_row($sql_contar)){  $contarr=$datos[0];  }
  
  if($contarr>=1)										  
    {
	  $sql_datos=mysqli_query($conexion,"select imagen from fotos
										  where login='".$vg_login."'");
	  while($datos= mysqli_fetch_row($sql_datos)){   $imagen=trim($datos[0]);}	

	   $path_a_tu_doc="fotos";
	   $lin=" \ ";
	   //$enlace = $path_a_tu_doc.trim($lin).$imagen;
	    $enlace = "..".trim($lin)."jacome.com.co".trim($lin)."fotosweb".trim($lin).$imagen;
	   //echo $enlace;
	   echo "<center><img src='$enlace' width='200' height='300'></center>";
    }
 ?>

</form>   

</body>

</html>





<?php

	function cargar_archivos($vg_login)
		{ include "conexion.php";
			date_default_timezone_set('America/Bogota');
		  
				if (isset ($_FILES["archivos"]))
				  { $msg .= "<ul>";
					foreach ($_FILES["archivos"]["error"] as $key => $error) 
				     { if ($error == UPLOAD_ERR_OK)
						  { 
						    $tmp_name = $_FILES["archivos"]["tmp_name"][$key];
							$name = $_FILES["archivos"]["name"][$key];
							$tamno = $_FILES["archivos"]["size"][$key];
							$tipo = $_FILES["archivos"]["type"][$key];
							$msg .= "<li>$name</li>";
							
							$tamarc=(filesize($tmp_name)/1024);
							
							if($tamarc>1000){echo "<script>alert('el Tamaño del archivo es mayor de 1 MB');</script>";}
							else
							{
							   if($tipo=='image/jpeg' || $tipo=='image/png' || $tipo=='image/gif')
								{
									   $name = uniqid('bc') . '_' . $name; 
	
										// FTP server details
										$ftpHost   = 'ftp.jacome.com.co';
										$ftpUsername = 'fotosweb@jacome.com.co';
										$ftpPassword = 'Fotos@eb2020';
										
										$connId = ftp_connect($ftpHost,21);
										$ftpLogin = ftp_login($connId, $ftpUsername, $ftpPassword);
										if((!$connId) || (!$ftpLogin))
										  { echo "No se pudo conectar al servidor";}
										 else  {    }
	
										$localFilePath  = $tmp_name;
										$remoteFilePath = $name;
										if(ftp_put($connId, $remoteFilePath, $localFilePath, FTP_BINARY))
										   {
											   $mensaje="Transerencia de archivo Correcto - $remoteFilePath";
											   
										       $sql_datosfot=mysqli_query($conexion,"select imagen from fotos
											   									  where login='".$vg_login."'");
												while($datosfot= mysqli_fetch_row($sql_datosfot)){$imagenfot=trim($datosfot[0]);}		
												$enlace = "fotos/".$imagenfot;
												unlink('$enlace');
									
											    $sql_delete=mysqli_query($conexion,"delete from fotos where login='".$vg_login."'");																				   
											   
											    $sql_insert=mysqli_query($conexion,"insert into fotos(login,imagen,fecsis,usuario)
																	values('".$vg_login."','".trim($name)."','".date("Y-m-d")."','".$vg_login."')");
	
												?>	   
												 <div class="alert alert-info">
												   <strong>Alert!</strong> <?php echo $mensaje; ?>
												 </div>
											   <?php
										  }
										else{echo "Error Transfiriendo archivo al servidor $remoteFilePath";}
										ftp_close($connId);
	
										/*$currentFilePath = 'home/jacome/public_html/jacome.com.co/fotosweb'.trim($name);
										$newFilePath = 'fotos/'.trim($name);
										$fileMoved = rename($currentFilePath, $newFilePath);
										if($fileMoved){ echo 'Archivo Procesado!';}
										*/
								}
								else
								{
								 echo "<script>alert('el Tipo de archivo diferente de jpeg, png o gif');</script>";
								}
							}
						  }
						  else
						   { 
						    if($error==1){echo "<script>alert('el tamaño del archivo supera los 3MB');</script>";}
						   }

					  } 

					$msg .= '</ul>';

					

				} 

		}



?>



